﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ComboEx
{
    /// <summary>
    /// Interaction logic for Window2.xaml
    /// </summary>
    public partial class Window2 : Window
    {
        ViewModel VM;
        public Window2()
        {
            InitializeComponent();
            VM = new ViewModel();
            this.DataContext = VM;
            
        }

        private void OnChangeDataClicked(object sender, RoutedEventArgs e)
        {
            VM.ChangeData();
        }

        private void OnChangeItemSourceClicked(object sender, RoutedEventArgs e)
        {
            // This does not work as you will see in both the grid and the combo
            VM.ChangeSource();
        }

        private void OnResetItemSourceClicked(object sender, RoutedEventArgs e)
        {
            VM.ResetSource();
        }
    }
}
