﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboEx
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<string> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<string>();

            Data.Add("String1");
            this.DataContext = this;
            
        }

        private void OnChnageDataClicked(object sender, RoutedEventArgs e)
        {
            Data.Add("String2");
        }

        private void OnChangeItemSourceClicked(object sender, RoutedEventArgs e)
        {
            ObservableCollection<string> Data2 = new ObservableCollection<string>();
            Data2.Add("string1");
            Data2.Add("New String2");

            sharedCombo.ItemsSource = Data2;
            WPFCombo.ItemsSource = Data2;
        }

        private void OnNewPageClicked(object sender, RoutedEventArgs e)
        {
            Window2 window = new Window2();
            window.Show();
        }

        private void OnSetToListClicked(object sender, RoutedEventArgs e)
        {
            List<string> list = new List<string>() { "AAA" };
            sharedCombo.ItemsSource = list;
            WPFCombo.ItemsSource = list;
        }

        private void OnSetToNewListClicked(object sender, RoutedEventArgs e)
        {
            List<string> list = new List<string>() { "AAA" ,"BB" };
            sharedCombo.ItemsSource = list;
            WPFCombo.ItemsSource = list;
        }
    }
}
