﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComboEx
{
    public class ViewModel
    {
        public ObservableCollection<string> Data { get; set; }
        public ViewModel()
        {
            Data = new ObservableCollection<string>();

            Data.Add("String1");
        }

        public void ChangeData()
        {
            Data.Add("string 2");
        }
        public void ChangeSource()
        {

            // This will not work since the DataBinding will not pick up the object (Data) being changed
            ObservableCollection<string> newList = new ObservableCollection<string>() { "string1", "string2","string3" };
            Data = newList;
           
           
        }

        internal void ResetSource()
        {
            // This would be the only way to reset the list without actually having a reference to the control
            List<string> newList = new List<string>() { "string1", "string2" };
            Data.Clear();
            foreach (string s in newList)
                Data.Add(s);
        }
    }
}
